Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1199938 (simsu) - Review Request: simsu - Basic Sudoku game
Summary: Review Request: simsu - Basic Sudoku game
Keywords:
Status: CLOSED ERRATA
Alias: simsu
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-09 10:19 UTC by Mario Blättermann
Modified: 2015-03-22 04:41 UTC (History)
3 users (show)

Fixed In Version: simsu-1.3.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-18 10:34:21 UTC
mgansser: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2015-03-09 10:19:45 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/simsu.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/simsu-1.3.1-2.fc21.src.rpm

Description:
Simsu is a basic Sudoku game. You can switch between filling in notes
(pencil mode), or filling in answers (pen mode). To make it easier to see
where to place numbers, you can highlight all instances of a number.
You can also check your answers for correctness while playing. The game
stores your current notes and answers, so that you can pick up where you
left off the next time you play.

Fedora Account System Username: mariobl

Comment 1 MartinKG 2015-03-09 12:38:02 UTC
I will take it for a full review.

Comment 2 MartinKG 2015-03-09 12:46:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[x] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/1199938-simsu/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/icons/hicolor/1024x1024/apps,
     /usr/share/icons/hicolor/1024x1024
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in simsu
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[-]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: simsu-1.3.1-2.fc23.x86_64.rpm
          simsu-1.3.1-2.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
simsu (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)


Provides
--------
simsu:
    appdata()
    appdata(simsu.appdata.xml)
    application()
    application(simsu.desktop)
    simsu
    simsu(x86-64)



Source checksums
----------------
http://gottcode.org/simsu/simsu-1.3.1-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : 94cd1728a3bd1743b65c2636cb7ecb739ba7b1b31660fca4b5318908f000e9b7
  CHECKSUM(SHA256) upstream package : 94cd1728a3bd1743b65c2636cb7ecb739ba7b1b31660fca4b5318908f000e9b7


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1199938
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

package looks pretty good.
APPROVED

Comment 3 Mario Blättermann 2015-03-10 19:42:45 UTC
Many thanks for the review!

New Package SCM Request
=======================
Package Name: simsu
Short Description: Basic Sudoku game
Upstream URL: http://gottcode.org/simsu/ 
Owners: mariobl
Branches: f21 f22

Comment 4 Gwyn Ciesla 2015-03-10 22:06:55 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-03-11 19:40:03 UTC
simsu-1.3.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/simsu-1.3.1-2.fc22

Comment 6 Fedora Update System 2015-03-11 19:40:10 UTC
simsu-1.3.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/simsu-1.3.1-2.fc21

Comment 7 Fedora Update System 2015-03-13 17:00:14 UTC
simsu-1.3.1-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 8 Fedora Update System 2015-03-18 10:34:21 UTC
simsu-1.3.1-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 9 Fedora Update System 2015-03-22 04:41:59 UTC
simsu-1.3.1-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.